const system = require("../../../system");
const ServiceBase = require("../../sve.base")

class IproductService extends ServiceBase {
  constructor() {
    super("product", ServiceBase.getDaoName(IproductService));
    this.iproductprocessDao = system.getObject("db.product.iproductprocessDao");
  }

  async productDics(params) {
    let list = await this.dao.dics(params);
    return system.getResultSuccess(list);
  }
}

module.exports = IproductService;